FROM node:16
RUN adduser node root
WORKDIR /home/node/app
RUN chmod -R 775 /home/node/app
RUN chown -R node:root /home/node/app
COPY package*.json /home/node/app
RUN npm install
COPY . /home/node/app
RUN npm run build
RUN npm run build:fontawesome
EXPOSE 5000
CMD ["npm", "start", "--loglevel=verbose"]

